Changeset 69bbb88 for debian


Ignore:
Timestamp:
Jan 8, 2012 2:55:10 PM (8 years ago)
Author:
zzz <zzz@…>
Branches:
master
Children:
7feaadb
Parents:
43ec87e (diff), 59bd51a (diff)
Note: this is a merge changeset, the changes displayed below correspond to the merge itself.
Use the (diff) links above to see all the changes relative to each parent.
Message:

propagate from branch 'i2p.i2p' (head b7ee04ecc7a594239e977b25a52ebdabadce558e)

to branch 'i2p.i2p.zzz.jetty6' (head 2cd4a4dae8b87b9ed2128d83aff1b39e3a818556)

Location:
debian
Files:
1 deleted
13 edited

Legend:

Unmodified
Added
Removed
  • debian/changelog

    r43ec87e r69bbb88  
     1i2p (0.8.12-2) stable; urgency=low
     2
     3  * postinst: Don't fail if the i2psvc group doesn't exist
     4
     5 -- Kill Your TV <killyourtv@i2pmail.org>  Fri, 06 Jan 2012 18:43:09 +0000
     6
     7i2p (0.8.12-1) stable; urgency=low
     8
     9  * New upstream I2P release
     10  * Debconf:
     11    - add wrapper.java.maxmemory from wrapper.config
     12    - The warning about the daemon user needing to exist was confusing to some
     13      that assumed this meant that i2psvc had to exit. This warning has been
     14      clarified.
     15    - Spanish, Swedish, Ukrainian translation updates
     16  * Initscript changes/fixes:
     17    - increase shutdown wait-time in initscript
     18    - renumber "wrapper.additional" lines (since gaps are allowed with newer
     19      wrapper versions)
     20    - move I2PTEMP to /tmp/i2p-daemon
     21    - move router.ping to /var/run/i2p
     22    - various other clean-ups
     23    - explicity redirect errors to stderr
     24  * maintainer scripts:
     25    - postinst: rewrite the handling of an existing i2psvc account
     26    - postrm: remove /etc/default/i2p if the package is purged
     27
     28 -- Kill Your TV <killyourtv@i2pmail.org>  Fri, 06 Jan 2012 02:49:03 +0000
     29
     30i2p (0.8.11-2) stable; urgency=medium
     31
     32  * Fix STUPID bug running I2P with i2prouter. Thanks soundwave.
     33
     34 -- Kill Your TV <killyourtv@i2pmail.org>  Tue, 08 Nov 2011 20:02:05 +0000
     35
     36i2p (0.8.11-1) stable; urgency=low
     37
     38  * New Upstream Version
     39  * sv and uk debconf translation updates
     40
     41 -- Kill Your TV <killyourtv@i2pmail.org>  Mon, 07 Nov 2011 19:20:15 +0000
     42
     43i2p (0.8.10-1) stable; urgency=medium
     44
     45  * New upstream version
     46
     47 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 20 Oct 2011 05:25:04 +0000
     48
    149i2p (0.8.9-1) stable; urgency=medium
    250
  • debian/i2p.init

    r43ec87e r69bbb88  
    22
    33### BEGIN INIT INFO
    4 # Provides:             i2p i2p-router
    5 # Required-Start:       $remote_fs $syslog $named $network $time
    6 # Required-Stop:        $remote_fs $syslog $named $network
    7 # Default-Start:        2 3 4 5
    8 # Default-Stop:         0 1 6
    9 # Short-Description:    start and stop the i2p router
    10 # Description:          i2p is a load-balanced unspoofable packet switching network
     4# Provides: i2p i2p-router
     5# Required-Start: $remote_fs $syslog $named $network $time
     6# Required-Stop: $remote_fs $syslog $named $network
     7# Default-Start: 2 3 4 5
     8# Default-Stop: 0 1 6
     9# Short-Description: start and stop the i2p router
     10# Description: i2p is a load-balanced unspoofable packet switching network
    1111### END INIT INFO
    1212
    1313# Check permissions
    1414if [ "`id -ur`" != '0' ]; then
    15    echo 'Error: you must be root.'
     15   echo 'ERROR: You must be root to start this service.' >&2
    1616   echo
    1717   exit 1
     
    2626JVMPIDFILE="$RUN/routerjvm.pid"
    2727I2P="/usr/share/i2p"
    28 I2PTEMP="/tmp/"
     28I2PTEMP="/tmp/${NAME}-daemon"
    2929WRAPPERLOG="/var/log/i2p/wrapper.log"
    3030
    3131# Don't touch these, edit /etc/default/i2p
    3232RUN_DAEMON="False"
    33 NICE=
     33NICE=0
    3434I2PUSER="i2psvc"
    3535
    3636I2P_ARGS="/etc/i2p/wrapper.config \
    3737 wrapper.java.additional.1=-DloggerFilenameOverride=/var/log/i2p/log-router-@.txt \
    38  wrapper.java.additional.5=-Dwrapper.logfile=$WRAPPERLOG \
     38 wrapper.java.additional.10=-Dwrapper.logfile=$WRAPPERLOG \
     39 wrapper.java.additional.11=-Di2p.dir.pid=$RUN \
     40 wrapper.java.additional.12=-Di2p.dir.temp=$I2PTEMP \
    3941 wrapper.logfile=$WRAPPERLOG \
    4042 wrapper.pidfile=$PIDFILE \
     
    6668
    6769if [ -z "$RUN_DAEMON" ]; then
    68         echo "/etc/default/$NAME is not set. Aborting."
    69         exit 1
     70    echo "/etc/default/$NAME is not properly configured. Aborting." >&2
     71    exit 1
    7072fi
    7173
     
    7779esac
    7880
    79 
    80 # is the wrapper from the service-wrapper package even installed?
    81 # if not, bail NOW
    82 
     81# We need the wrapper. If it's not found, abort.
    8382[ -x $DAEMON ] || exit 0
    8483
    85 # Ditto for i2prouter. Even though this script doesn't call it,
    86 # if it's not found the package probably hasn't been installed.
    87 
    88 [ -r /usr/bin/i2prouter ] || exit 0
     84# Even though this script doesn't call it, check for i2prouter.  If it's not
     85# found, it probably means that the package isn't installed anymore.
     86[ -x /usr/bin/i2prouter ] || exit 0
    8987
    9088do_start()
    9189{
    92         start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null\
    93                 || return 1
    94         [ -d $RUN ] || mkdir $RUN
    95         [ -r $PIDFILE ] || touch $PIDFILE
    96         [ -r $JVMPIDFILE ] || touch $JVMPIDFILE
    97         [ -d $I2PTEMP ] || mkdir $I2PTEMP
    98         chown -Rf $I2PUSER:$I2PUSER  $I2PTEMP/*i2p* $I2PTEMP/router.ping $RUN > /dev/null 2>&1
    99         chown -f -R $I2PUSER:adm /var/log/$NAME
    100         TZ=UTC start-stop-daemon --start --quiet -c $I2PUSER --pidfile $PIDFILE --exec $DAEMON $NICE -- \
    101                 $I2P_ARGS || return 2
     90    start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null 2>&1 \
     91        || return 1
     92    [ -d $RUN ] || mkdir $RUN > /dev/null 2>&1
     93    [ -d $I2PTEMP ] || mkdir $I2PTEMP > /dev/null 2>&1
     94    if [ -r $PIDFILE ]; then
     95        PID="$(cat ${PIDFILE})"
     96        if ! kill -0 $PID > /dev/null 2>&1; then
     97                rm "$PIDFILE" "$JVMPIDFILE"
     98        else
     99                # we shouldn't get here, but...
     100                echo "ERROR: Another instance of $DESC is already running." >&2
     101                return 1
     102        fi
     103    fi
     104    chown -Rf $I2PUSER:$I2PUSER  $I2PTEMP $RUN > /dev/null 2>&1
     105    chown -f -R $I2PUSER:i2psvc /var/log/$NAME > /dev/null 2>&1
     106    TZ=UTC start-stop-daemon --start --quiet -c $I2PUSER --pidfile $PIDFILE --exec $DAEMON -n $NICE -- \
     107        $I2P_ARGS || return 2
    102108}
    103109
    104110do_stop()
    105111{
    106         start-stop-daemon --stop --quiet --retry=TERM/15/KILL/5 --pidfile $PIDFILE -u $I2PUSER
    107         RETVAL="$?"
    108         [ "$RETVAL" = 2 ] && return 2
     112    start-stop-daemon --stop --quiet --retry=TERM/60/KILL/20 --pidfile $PIDFILE -u $I2PUSER
     113    RETVAL="$?"
     114    [ "$RETVAL" = 2 ] && return 2
    109115
    110 #       start-stop-daemon --stop --quiet --oknodo --retry=TERM/15/KILL/5 -u $I2PUSER
     116    start-stop-daemon --stop --quiet --oknodo --retry=0/60/KILL/20 --exec $DAEMON
    111117
    112         start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
    113 
    114         rm -f "$PIDFILE" "$JVMPIDFILE"
    115         [ -d $RUN ] && rmdir $RUN
     118    rm -rf "$I2PTEMP" > /dev/null 2>&1
     119    [ -d "$RUN" ] && rmdir "$RUN" 2>&1
    116120}
    117121
    118122do_dump()
    119123{
    120         start-stop-daemon --stop --quiet -s 3 --pidfile $PIDFILE -u $I2PUSER
    121         RETVAL="$?"
    122         [ "$RETVAL" = 2 ] && return 2
     124    start-stop-daemon --stop --quiet -s 3 --pidfile $PIDFILE -u $I2PUSER
     125    RETVAL="$?"
     126    [ "$RETVAL" = 2 ] && return 2
    123127}
    124128
     
    141145        ;;
    142146  stop)
    143         log_daemon_msg "Stopping $DESC" "$NAME"
     147    log_daemon_msg "Stopping $DESC" "$NAME"
    144148        do_stop
    145149        case "$?" in
     
    150154  status)
    151155       status_of_proc -p $PIDFILE "$DAEMON" "$NAME" && exit 0 || exit $?
    152         ;;
     156    ;;
    153157 restart|force-reload)
    154158        log_daemon_msg "Restarting $DESC" "$NAME"
     
    170174        ;;
    171175*)
    172         N=/etc/init.d/$NAME
    173         echo "Usage: $N {start|stop|dump|status|restart|force-reload}" >&2
    174         exit 3
    175         ;;
     176    N=/etc/init.d/$NAME
     177    echo "Usage: $N {start|stop|dump|status|restart|force-reload}" >&2
     178    exit 3
     179    ;;
    176180
    177181
  • debian/i2p.postinst

    r43ec87e r69bbb88  
    6262        mv -f /etc/i2p/wrapper.config.tmp /etc/i2p/wrapper.config
    6363
    64     migrate_existing_user(){
    65         # Adjust the user/group in /etc/passwd, mainly for upgrades from old packages that didn't
    66         # create $I2PSYSUSER as a system group/user
    67         usermod -c "I2P Router Daemon" -m -d $I2PHOME -g $I2PSYSUSER -s "/bin/false" \
    68             -l $I2PSYSUSER -e 1 > /dev/null 2>&1
    69         echo "Existing user migrated, home directory moved to $I2PHOME"
    70     }
    71 
    7264    # Create user and group as a system user.
    73     adduser --system --quiet --group --home $I2PHOME $I2PSYSUSER || migrate_existing_user
     65    if getent passwd i2psvc > /dev/null 2>&1 ; then
     66        groupadd -f $I2PSYSUSER || true
     67        usermod -c "I2P Router Daemon" -d $I2PHOME -g $I2PSYSUSER -s "/bin/false" \
     68            $I2PSYSUSER -e 1 > /dev/null 2>&1 || true
     69    else
     70        adduser --system --quiet --group --home $I2PHOME $I2PSYSUSER
     71    fi
    7472
    7573    [ -d /var/log/i2p ] || mkdir -m0750 /var/log/i2p
    76     chown -f -R $I2PSYSUSER:adm /var/log/i2p
     74    chown -f -R $I2PSYSUSER:i2psvc /var/log/i2p
    7775
    7876    # Has someone set the permissions with dpkg-statoverride? If so, obey them.
     
    9492                ;;
    9593esac
    96    
     94
    9795#DEBHELPER#
    9896
  • debian/i2p.templates

    r43ec87e r69bbb88  
    2323 /home/user/i2p, you may enter 'user' here.
    2424 .
    25  Very important: The account specified here *MUST* already exist.
     25 Very important: If a user other than the default of 'i2psvc' is entered
     26 here, the chosen username *MUST* already exist.
    2627
    2728Template: i2p/memory
  • debian/patches/0002-jbigi-soname.patch

    r43ec87e r69bbb88  
    1414+++ b/core/c/jbigi/mbuild_jbigi.sh
    1515@@ -47,7 +47,7 @@
    16                 fi
     16                 fi
    1717         fi
    1818         COMPILEFLAGS="-fPIC -Wall"
  • debian/po/de.po

    r43ec87e r69bbb88  
    77msgstr ""
    88"Project-Id-Version: i2p 0.8.9-1\n"
    9 "Report-Msgid-Bugs-To: i2p@packages.debian.org\n"
    10 "POT-Creation-Date: 2011-12-10 04:00+0000\n"
     9"Report-Msgid-Bugs-To: https://trac.i2p2.de/\n"
     10"POT-Creation-Date: 2011-12-27 22:25+0000\n"
    1111"PO-Revision-Date: 2011-07-20 04:30+0100\n"
    1212"Last-Translator: mixxy <m1xxy@mail.i2p>\n"
     
    5656#. Description
    5757#: ../i2p.templates:3001
    58 msgid "Very important: The account specified here *MUST* already exist."
     58#, fuzzy
     59#| msgid "Very important: The account specified here *MUST* already exist."
     60msgid ""
     61"Very important: If a user other than the default of 'i2psvc' is entered "
     62"here, the chosen username *MUST* already exist."
    5963msgstr "WICHTIG; Der hier angegebene Benutzer *MUSS* bereits existieren!"
    6064
  • debian/po/es.po

    r43ec87e r69bbb88  
    22# Copyright (C) 2011 The I2P Project
    33# This file is distributed under the same license as the i2p package.
    4 # mixxy <m1xxy@mail.i2p>, 2011
    5 #
     4
     5# Translators:
     6# mixxy <m1xxy@mail.i2p>, 2011.
     7#   <punkibastardo@gmail.com>, 2011.
    68msgid ""
    79msgstr ""
    8 "Project-Id-Version: i2p 0.8.9-1\n"
    9 "Report-Msgid-Bugs-To: i2p@packages.debian.org\n"
    10 "POT-Creation-Date: 2011-12-10 04:00+0000\n"
    11 "PO-Revision-Date: 2011-07-20 04:33+0100\n"
    12 "Last-Translator: mixxy <m1xxy@mail.i2p>\n"
    13 "Language-Team: es\n"
     10"Project-Id-Version: I2P\n"
     11"Report-Msgid-Bugs-To: https://trac.i2p2.de/\n"
     12"POT-Creation-Date: 2011-12-27 22:25+0000\n"
     13"PO-Revision-Date: 2011-12-21 21:22+0000\n"
     14"Last-Translator: punkibastardo <punkibastardo@gmail.com>\n"
     15"Language-Team: Spanish (Castilian) (http://www.transifex.net/projects/p/I2P/"
     16"team/es/)\n"
    1417"Language: es\n"
    1518"MIME-Version: 1.0\n"
    1619"Content-Type: text/plain; charset=UTF-8\n"
    1720"Content-Transfer-Encoding: 8bit\n"
     21"Plural-Forms: nplurals=2; plural=(n != 1)\n"
    1822
    1923#. Type: boolean
     
    5761#. Description
    5862#: ../i2p.templates:3001
    59 msgid "Very important: The account specified here *MUST* already exist."
    60 msgstr "Muy importante: El usuario especificado aquí *YA TIENE QUE* existir."
     63msgid ""
     64"Very important: If a user other than the default of 'i2psvc' is entered "
     65"here, the chosen username *MUST* already exist."
     66msgstr ""
     67"Muy importante: Si se introduce un nombre de usuario en este campo distinto "
     68"a 'i2psvc', el nombre elegido *DEBE* existir de antemano."
    6169
    6270#. Type: string
     
    6472#: ../i2p.templates:4001
    6573msgid "Memory that can be allocated to I2P:"
    66 msgstr ""
     74msgstr "La memoria que puede ser asignada a I2P:"
    6775
    6876#. Type: string
     
    7078#: ../i2p.templates:4001
    7179msgid "By default, I2P will only be allowed to use up to 128MB of RAM."
    72 msgstr ""
     80msgstr "Por defecto, a I2P sólo se le permitirá utilizar 128MB de RAM"
    7381
    7482#. Type: string
     
    7987"plugins, may need to have this value increased."
    8088msgstr ""
     89"Los routers con un alto ancho de banda, así como los routers con muchos "
     90"torrents activos / plugins, podrían necesitar un aumento este valor."
  • debian/po/pl.po

    r43ec87e r69bbb88  
    88msgstr ""
    99"Project-Id-Version: I2P\n"
    10 "Report-Msgid-Bugs-To: i2p@packages.debian.org\n"
    11 "POT-Creation-Date: 2011-12-10 04:00+0000\n"
     10"Report-Msgid-Bugs-To: https://trac.i2p2.de/\n"
     11"POT-Creation-Date: 2011-12-27 22:25+0000\n"
    1212"PO-Revision-Date: 2011-10-08 12:41+0000\n"
    1313"Last-Translator: PolishAnon <b790979@klzlk.com>\n"
     
    5959#. Description
    6060#: ../i2p.templates:3001
    61 msgid "Very important: The account specified here *MUST* already exist."
     61#, fuzzy
     62#| msgid "Very important: The account specified here *MUST* already exist."
     63msgid ""
     64"Very important: If a user other than the default of 'i2psvc' is entered "
     65"here, the chosen username *MUST* already exist."
    6266msgstr "Bardzo ważne: Podane tutaj konto *MUSI* istnieć."
    6367
  • debian/po/ru.po

    r43ec87e r69bbb88  
    77msgstr ""
    88"Project-Id-Version: i2p 0.8.9-1\n"
    9 "Report-Msgid-Bugs-To: i2p@packages.debian.org\n"
    10 "POT-Creation-Date: 2011-12-10 04:00+0000\n"
     9"Report-Msgid-Bugs-To: https://trac.i2p2.de/\n"
     10"POT-Creation-Date: 2011-12-27 22:25+0000\n"
    1111"PO-Revision-Date: 2011-06-21 20:59+0500\n"
    1212"Last-Translator: Hidden Z <hiddenz@mail.i2p>\n"
     
    5656#. Description
    5757#: ../i2p.templates:3001
    58 msgid "Very important: The account specified here *MUST* already exist."
     58#, fuzzy
     59#| msgid "Very important: The account specified here *MUST* already exist."
     60msgid ""
     61"Very important: If a user other than the default of 'i2psvc' is entered "
     62"here, the chosen username *MUST* already exist."
    5963msgstr ""
    6064"Очень важно: аккаунт, указанный здесь, обязательно должен существовать."
  • debian/po/sv.po

    r43ec87e r69bbb88  
    1 # SOME DESCRIPTIVE TITLE.
    2 # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
    3 # This file is distributed under the same license as the PACKAGE package.
    4 # 
     1# Swedish debconf translation
     2# Copyright (C) 2011 The I2P Project
     3# This file is distributed under the same license as the i2p package.
     4#
    55# Translators:
    66# Martin Svensson <digitalmannen@gmail.com>, 2011.
     
    99"Project-Id-Version: I2P\n"
    1010"Report-Msgid-Bugs-To: https://trac.i2p2.de/\n"
    11 "POT-Creation-Date: 2011-12-10 04:00+0000\n"
    12 "PO-Revision-Date: 2011-12-13 14:12+0000\n"
     11"POT-Creation-Date: 2011-12-27 22:25+0000\n"
     12"PO-Revision-Date: 2011-12-26 09:48+0000\n"
    1313"Last-Translator: Martin Svensson <digitalmannen@gmail.com>\n"
    14 "Language-Team: Swedish (Sweden) (http://www.transifex.net/projects/p/I2P/team/sv_SE/)\n"
     14"Language-Team: Swedish (Sweden) (http://www.transifex.net/projects/p/I2P/"
     15"team/sv_SE/)\n"
     16"Language: sv_SE\n"
    1517"MIME-Version: 1.0\n"
    1618"Content-Type: text/plain; charset=UTF-8\n"
    1719"Content-Transfer-Encoding: 8bit\n"
    18 "Language: sv_SE\n"
    1920"Plural-Forms: nplurals=2; plural=(n != 1)\n"
    2021
     
    4546#: ../i2p.templates:3001
    4647msgid ""
    47 "By default I2P is configured to run under the account i2psvc when running as"
    48 " a daemon. To use an **existing** I2P profile you may enter a different "
    49 "account name here. For example, if your previous I2P installation is at "
    50 "/home/user/i2p, you may enter 'user' here."
     48"By default I2P is configured to run under the account i2psvc when running as "
     49"a daemon. To use an **existing** I2P profile you may enter a different "
     50"account name here. For example, if your previous I2P installation is at /"
     51"home/user/i2p, you may enter 'user' here."
    5152msgstr ""
    5253"Som standard är I2P inställt för att köras under kontot i2psvc mär den körs "
    5354"som tjänst. För att använda ett **existerande** I2P profil, ange ett annat "
    54 "konto här. Exempelvis, om din tidigare I2P installation är /home/user/i2p så"
    55 " ange 'user' här."
     55"konto här. Exempelvis, om din tidigare I2P installation är /home/user/i2p så "
     56"ange 'user' här."
    5657
    5758#. Type: string
    5859#. Description
    5960#: ../i2p.templates:3001
    60 msgid "Very important: The account specified here *MUST* already exist."
    61 msgstr "*OBS!* Kontot som anges *måste* existera."
     61msgid ""
     62"Very important: If a user other than the default of 'i2psvc' is entered "
     63"here, the chosen username *MUST* already exist."
     64msgstr ""
     65"OBS! Viktigt: Om en annan användare än standard 'i2psvc' skrivs in här. "
     66"\"MÅSTE\" det användarnamnet redan existera."
    6267
    6368#. Type: string
     
    8287"För routrar med hög bandbredd eller routrar med hög aktivitet kan detta "
    8388"behöva ökas"
    84 
    85 
  • debian/po/templates.pot

    r43ec87e r69bbb88  
    88msgstr ""
    99"Project-Id-Version: PACKAGE VERSION\n"
    10 "Report-Msgid-Bugs-To: i2p@packages.debian.org\n"
    11 "POT-Creation-Date: 2011-12-10 04:00+0000\n"
     10"Report-Msgid-Bugs-To: https://trac.i2p2.de/\n"
     11"POT-Creation-Date: 2011-12-27 22:25+0000\n"
    1212"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
    1313"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
     
    5151#. Description
    5252#: ../i2p.templates:3001
    53 msgid "Very important: The account specified here *MUST* already exist."
     53msgid ""
     54"Very important: If a user other than the default of 'i2psvc' is entered "
     55"here, the chosen username *MUST* already exist."
    5456msgstr ""
    5557
  • debian/po/uk.po

    r43ec87e r69bbb88  
    1 # SOME DESCRIPTIVE TITLE.
    2 # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
    3 # This file is distributed under the same license as the PACKAGE package.
    4 # 
     1# Ukrainian debconf translation
     2# Copyright (C) 2011 The I2P Project
     3# This file is distributed under the same license as the i2p package.
     4#
    55# Translators:
    66# Denis  <gribua@gmail.com>, 2011.
     
    99"Project-Id-Version: I2P\n"
    1010"Report-Msgid-Bugs-To: https://trac.i2p2.de/\n"
    11 "POT-Creation-Date: 2011-12-10 04:00+0000\n"
     11"POT-Creation-Date: 2011-12-27 22:25+0000\n"
    1212"PO-Revision-Date: 2011-12-16 22:13+0000\n"
    1313"Last-Translator: Denis <gribua@gmail.com>\n"
    14 "Language-Team: Ukrainian (Ukraine) (http://www.transifex.net/projects/p/I2P/team/uk_UA/)\n"
     14"Language-Team: Ukrainian (Ukraine) (http://www.transifex.net/projects/p/I2P/"
     15"team/uk_UA/)\n"
     16"Language: uk_UA\n"
    1517"MIME-Version: 1.0\n"
    1618"Content-Type: text/plain; charset=UTF-8\n"
    1719"Content-Transfer-Encoding: 8bit\n"
    18 "Language: uk_UA\n"
    19 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2)\n"
     20"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
     21"%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2)\n"
    2022
    2123#. Type: boolean
     
    3234"computer boots up. This is the recommended configuration."
    3335msgstr ""
    34 "I2P роутер може працювати в якості демона, який запускається автоматично під"
    35 " час запуску комп'ютера. Це рекомендована настройка."
     36"I2P роутер може працювати в якості демона, який запускається автоматично під "
     37"час запуску комп'ютера. Це рекомендована настройка."
    3638
    3739#. Type: string
     
    4547#: ../i2p.templates:3001
    4648msgid ""
    47 "By default I2P is configured to run under the account i2psvc when running as"
    48 " a daemon. To use an **existing** I2P profile you may enter a different "
    49 "account name here. For example, if your previous I2P installation is at "
    50 "/home/user/i2p, you may enter 'user' here."
     49"By default I2P is configured to run under the account i2psvc when running as "
     50"a daemon. To use an **existing** I2P profile you may enter a different "
     51"account name here. For example, if your previous I2P installation is at /"
     52"home/user/i2p, you may enter 'user' here."
    5153msgstr ""
    52 "При роботі в якості демона, I2P за замовчуванням використовує аккаунт i2psvc"
    53 " для роботи. Для використовування **існуючого** профіля I2P ви можете ввести"
    54 " тут ім'я іншого користувача. Для прикладу, якщо ваша попередня інсталяція "
     54"При роботі в якості демона, I2P за замовчуванням використовує аккаунт i2psvc "
     55"для роботи. Для використовування **існуючого** профіля I2P ви можете ввести "
     56"тут ім'я іншого користувача. Для прикладу, якщо ваша попередня інсталяція "
    5557"I2p знаходиться в /home/user/i2p, ви можете ввести тут 'user'."
    5658
     
    5860#. Description
    5961#: ../i2p.templates:3001
    60 msgid "Very important: The account specified here *MUST* already exist."
     62#, fuzzy
     63#| msgid "Very important: The account specified here *MUST* already exist."
     64msgid ""
     65"Very important: If a user other than the default of 'i2psvc' is entered "
     66"here, the chosen username *MUST* already exist."
    6167msgstr "Дуже важливо: Аккаунт, вказаний тут * ПОВИНЕН * вже існувати."
    6268
     
    8490"великою кількістю активних торрентів / плагінів, можуть потребувати "
    8591"збільшення цього значення."
    86 
    87 
  • debian/rules

    r43ec87e r69bbb88  
    2727JAVA_HOME=/usr/lib/jvm/default-java
    2828I2P=$(CURDIR)/pkg-temp
     29ROUTERVERSION=$(CURDIR)/router/java/src/net/i2p/router/RouterVersion.java
     30
     31# I2P's version will be displayed in the router console as "$I2PVERSION-$EXTRAPREFIX$DEBIANVERSION", eg. 0.8.12-0-deb1
     32export EXTRAPREFIX := deb
    2933export JAVA_HOME I2P
     34export DEBIANVERSION := $(shell dpkg-parsechangelog |awk -F' ' '/Version/{print $$2}' |sed 's/.*-\([[:digit:]]\{1,\}\).*$$/\1/')
    3035#export DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
    3136
     
    3641
    3742override_dh_auto_clean:
     43        -[ -r $(CURDIR)/debian/routerversion.java.bak ] && mv -f $(CURDIR)/debian/routerversion.java.bak $(ROUTERVERSION)
    3844        dh_auto_clean
    3945        ant distclean
     
    4854build-indep:
    4955        dh_prep
    50         #mkdir -p $(CURDIR)/installer/lib/wrapper/all
    51         #ln -sf /usr/share/java/wrapper.jar $(CURDIR)/installer/lib/wrapper/all/wrapper.jar
     56        cp -f $(ROUTERVERSION) $(CURDIR)/debian/routerversion.java.bak
     57        sed -e "s/\(.*EXTRA\ =\ \)[^ ]*\"\(.*\)\"/\1\"\2-$$EXTRAPREFIX$$DEBIANVERSION\"/" < $(ROUTERVERSION) > $(ROUTERVERSION).tmp
     58        mv -f $(ROUTERVERSION).tmp $(ROUTERVERSION)
     59        # The next line is used by KYTV when building from source packages
     60        #[ -r jetty/jetty-5.1.15.tgz ] && ln -sf $(CURDIR)/jetty/jetty-5.1.15.tgz $(CURDIR)/apps/jetty/jetty-5.1.15.tgz
    5261        ant preppkg-unix javadoc
    5362        echo router.updateDisabled=true > $(I2P)/router.config
     
    7584        @/bin/cat $(CURDIR)/LICENSE.txt >> $(CURDIR)/debian/copyright
    7685
    77 
    7886override_dh_compress:
    7987        dh_compress -X.xsl -X.xml
Note: See TracChangeset for help on using the changeset viewer.